Search users
Lookup API to retrieve signatories member of the signing room. The result may contain external signatories depending of the organization's settings.
Lookup API to retrieve signatories member of the signing room. The result may contain external signatories depending of the organization's settings.
Authorization
basicAuth In: header
Path Parameters
Query Parameters
Search query to filter users by firstname, lastname or email
Zero-based page index (0..N)
int320The size of the page to be returned
int322000Sort By
"lastname"Value in
- "firstname"
- "lastname"
- "email"
Sort direction
"ASC"Value in
- "ASC"
- "DESC"
Filter users depending whether they are member of the signing room. All users are returned if parameter is missing
Filter users depending whether they need to go through the invitation process to join the signing room. All users are returned if parameter is missing
Filter users depending on the purpose of the requests. The 'roomMember' amd 'requiresInvitation' parameters are ignored if 'purpose' is not null.
Value in
- "SIGNING_REQUEST_SIGNATORY"
- "SIGNATORY_INVITATION"
- "PERMISSION_INVITATION"
- "SIGNING_REQUEST_DELIVERY_RECIPIENT"
Response Body
application/json
curl -X GET "https://example.com/admin/api/v3/organizations/string/rooms/string/signatories/lookup"{ "content": [ { "displayName": "string", "email": "string", "firstname": "string", "lastname": "string", "requiresInvitation": true, "roomMember": true } ], "empty": true, "first": true, "last": true, "number": 0, "numberOfElements": 0, "pageable": { "offset": 0, "pageNumber": 0, "pageSize": 0, "paged": true, "sort": { "empty": true, "sorted": true, "unsorted": true }, "unpaged": true }, "size": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "totalElements": 0, "totalPages": 0}